Subject: Re: [89attendees] Mobile phone service in London

From: "John Levine" <[email-masked]>
Date: 5 Feb 2014 21:56:44 -0000

>> http://shop.tescomobile.com/mobile-phones/pay-as-you-go#price-min=0&price-max=1000&sort-by=phone-price-low
>> 
>> (* for those unfamiliar with the UK, Tesco is the largest supermarket chain)
>
>This should be just fine. Any chance that there is a Tesco at Heathrow?

Nope, just the SIM vending machines near the exits from customs, the
SIM Local store in Terminal 1, and the Vodafone store in Terminal 5.

For what you want, any SIM should work OK.  Remember that incoming
calls are paid by the caller (not really "free"), so the only
difference is the outgoing cost. I doubt you will make £10 of calls
during the week no matter what carrier or plan you have.  I've never
seen them more than 20p/min, so that's at least 50 min of outgoing
calls.

R's,
John

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 5 Feb 2014 17:14:33 -0500

There are shops along the Edgeware road that can provide you with SIMs in
any size or shape or carrier you might need.

They can also assist you if the equipment provided by your US carrier has
certain standards incompatibilities that prevent use on other carrier's
networks.

-- 
Website: http://hallambaker.com/

---

From: Paul Hoffman <[email-masked]>
Date: Wed, 5 Feb 2014 15:18:34 -0800

On Feb 5, 2014, at 1:56 PM, John Levine <[email-masked]> wrote:

> For what you want, any SIM should work OK.  

Not if the one phone I have that is SIMable is kinda crappy. That's what I said in my earlier message. And you have even seen that phone. :-)

--Paul Hoffman

---

From: Tim Bray <[email-masked]>
Date: Wed, 5 Feb 2014 21:53:49 -0800

In most Heathrow Terminals you can buy a “3 Network” SIM from a vending
machine with your credit card before you even get to customs.  It’s maybe a
little pricy at £20 but it has plenty of data to get you through a few days.

On Wed, Feb 5, 2014 at 3:18 PM, Paul Hoffman <[email-masked]> wrote:

> Not if the one phone I have that is SIMable is kinda crappy. That's what I
> said in my earlier message. And you have even seen that phone. :-)
>
> --Paul Hoffman